/*************************************************************************
** Mode_ParaboloidShadowMaps.h                                          **
** --------------------------                                           **
**                                                                      **
** This is a much more complex display mode that shows how they might   **
**    be used in your application.  Please see Mode_BlankDisplay.h for  **
**    more details about the data structure.                            **
**                                                                      **
** Chris Wyman (04/06/2012)                                             **
*************************************************************************/

#include <GL/glew.h>
#include <stdio.h>
#include "iglu.h"

class RenderParaboloidShadowMaps : public iglu::IGLUDisplayMode {
public:
	RenderParaboloidShadowMaps() : IGLUDisplayMode() {}
	virtual ~RenderParaboloidShadowMaps() {}

	virtual void Initialize( int trackNum );
	virtual void Display();

	virtual const char *GetWindowTitle( void )     
	{ 
		return "Display with paraboloid shadow maps"; 
	}
	virtual const char *GetHelpDescriptor( void )  
	{ 
		return "A fairly simple display using Lambertian surfaces and a dual-paraboloid "
			   "shadow map to introduce shadows."; 
	}

private:

};